Subject: Re: Guile and Readline won't play together
From: Jan Nieuwenhuizen <[email-masked]>
To: [email-masked]
Date: Mon, 15 Jul 2002 12:32:41 +0200

"Jason C. Johnston" <[email-masked]> writes:

> I cannot get readline to work in guile. Creating, as suggested on the
> man
> page, a ~/.guile file containing:
>
>      (use-modules (ice-9 readline))
>      (activate-readline)
>
> results in:
>
>       ERROR: In procedure dynamic-link:
>       ERROR: file: "libguilereadline", message: "file not found"
> (By contrast, (use-modules (ice-9 popen)), for instance, works fine.)

That may happen because, as you found out, readline must be
dynamically linked when you do that.

> In fact, there are files called libguilereadline.{a, dll.a, la} in
> /usr/lib.

That's correct.  You also have cygguilereadline-14.dll in /usr/bin, I
hope.

> Now /usr/lib is not in my PATH, normally, so I tried prefixing it, with
> the result on firing up guile:
>
>   assertion "(!*pargz && !*pargz_len && !before) || ((*pargz <= before)
> &&     
>   (before < (*pargz + *pargz_len)))" failed: file   
>   "/usr/src/libtool/devel/libtool-20020502/libltdl/ltdl.c", line 548

Hmm.  Guile 1.5.6-3 was linked against latest libtool from cvs.  It
looks like there may be a conflict (or another problem) with the
libtool that's currently in Cygwin.

Unless someone else has a smart guess what's going on here, I'll
rebuild guile with Cygwin's latest libtool-devel, and see what
happens.

> Any pointers, please? 

I think you just found a bug, we'll have to look into this.

Greetings,
Jan.

-- 
Jan Nieuwenhuizen <[email-masked]> | GNU LilyPond - The music typesetter
http://www.xs4all.nl/~jantien       | http://www.lilypond.org

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/